Project

General

Profile

Bug #40864

Fix multipath_sync tracebacks on boot

Added by William Grzybowski about 2 years ago. Updated about 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Vladimir Vinogradenko
Category:
Middleware
Target version:
Seen in:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

Syncing disks...

\^[[2K\^[[A\^[[2KTotal Progress: [________________________________________] 0.00%\^[[2K\^[[A\^[[2KTotal Progress: [########################################] 100.00%
[ENOENT] Pool tank not found
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 68, in get_disks
    disks = list(zfs.get(name).disks)
  File "libzfs.pyx", line 370, in libzfs.ZFS.__exit__
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 68, in get_disks
    disks = list(zfs.get(name).disks)
  File "libzfs.pyx", line 479, in libzfs.ZFS.get
libzfs.ZFSException: Pool tank not found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 154, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
    return self.gen.send(None)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1013, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
    return self.gen.send(None)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 953, in _call
    return await methodobj(*args)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
    return self.gen.send(None)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 658, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
    return self.gen.send(None)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/disk.py", line 761, in multipath_sync
    reserved = await self.get_reserved()
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
    return self.gen.send(None)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/disk.py", line 260, in get_reserved
    reserved += [i async for i in await self.middleware.call('pool.get_disks')]
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 110, in __next__
    return self.gen.send(None)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/disk.py", line 260, in <listcomp>
    reserved += [i async for i in await self.middleware.call('pool.get_disks')]
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/pool.py", line 292, in get_disks
    async for i in await self.middleware.call('zfs.pool.get_disks', pool['name']):
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 70, in get_disks
    raise CallError(str(e), errno.ENOENT)
middlewared.service_exception.CallError: [ENOENT] Pool tank not found

Related issues

Has duplicate FreeNAS - Bug #42869: Error while loading early kernel modulesClosed
Has duplicate FreeNAS - Bug #43723: Early kernel modules errorClosed

History

#1 Updated by Bug Clerk about 2 years ago

  • Status changed from Unscreened to In Progress

#2 Updated by Dru Lavigne about 2 years ago

  • Subject changed from Multipath_sync tracebacks on boot to Fix multipath_sync tracebacks on boot
  • Status changed from In Progress to Ready for Testing
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#3 Updated by Dru Lavigne about 2 years ago

#4 Updated by William Grzybowski about 2 years ago

  • Has duplicate Bug #42869: Error while loading early kernel modules added

#5 Updated by William Grzybowski about 2 years ago

  • Has duplicate Bug #43723: Early kernel modules error added

#7 Updated by Jeff Ervin about 2 years ago

  • Status changed from Ready for Testing to Passed Testing
  • Needs QA changed from Yes to No

Test passes FreeNAS-11.2-MASTER-201809050856

#8 Updated by Dru Lavigne about 2 years ago

  • Status changed from Passed Testing to Done

Also available in: Atom PDF